function [ output_args ] = plotwabe( wabenIndex, plotachse, farbe )
%PLOTWABE Markiert eine einzige Wabe graphisch als bebaut
%   Detailed explanation goes here
global Wabengitter;
global animation;

ecken = EckPunkte(wabenIndex);

% knotenX = [ Wabengitter(1,ecken) Wabengitter(1,ecken(1)) ...
  %          Wabengitter(1,ecken) Wabengitter(1,ecken(1)) ];
% knotenY = [ Wabengitter(2,ecken) Wabengitter(2,ecken(1)) ...
  %          Wabengitter(2,ecken) Wabengitter(2,ecken(1)) ];
% knotenZ = [ 0 0 0 0 0 0 0 1 1 1 1 1 1 1 ];

knoten = [ Wabengitter(1,ecken) Wabengitter(1,ecken); ...
           Wabengitter(2,ecken) Wabengitter(2,ecken); ...
           0 0 0 0 0 0 1 1 1 1 1 1 ]';
       
seiten = [ 1 2 3 4 5 6; ...
           7 8 9 10 11 12; ...
           1 2 8 7 NaN NaN;
           2 3 9 8 NaN NaN;
           3 4 10 9 NaN NaN;
           4 5 11 10 NaN NaN;
           5 6 12 11 NaN NaN;
           6 1 7 12 NaN NaN ];
           
% patch(Wabengitter(1,ecken), Wabengitter(2,ecken), 'red', 'EdgeColor','black');
% wabe = fill3(knotenX, knotenY, knotenZ, 'red');
if (farbe == 1)
    wabenFarbe = 'red';
elseif (farbe == 2)
    wabenFarbe = 'green';
elseif (farbe == 3)
    wabenFarbe = 'blue';
elseif (farbe == 4)
    wabenFarbe = 'yellow';
elseif (farbe == 5)
    wabenFarbe = 'magenta';
elseif (farbe == 6)
    wabenFarbe = 'cyan';
else
    wabenFarbe = 'black';
end

if (farbe ~= 0) % Null steht für unbebaut, also wird nichts gezeichnet
    patch('Vertices',knoten, 'Faces',seiten, 'FaceColor',wabenFarbe, ...
          'EdgeColor','black', 'LineWidth',1, 'Parent',plotachse );
end

if (animation)
    drawnow;
end

end

